Skip to main content

Health Payment URL API

Payment URL API will enable the consumers to intiate payment against the insurance policy application, and will response back with Payment Url to make payment.

Request Body required

1SB Payment URL request

    additionalSetup object

    This section will contain additional information.

    currency string required

    Possible values: <= 5 characters

    Currency in which policy will be purchased.

    userCountry string

    Possible values: <= 5 characters

    Country of the user.

    userRegion string

    Region (State or Province) of the user.

    userLanguage string

    Language set by user on the consumer app

    userIP string

    User IP address.

    userAgent string

    User's browser details.

    userGeoLocation object

    Return a JSON object with latitude and longitude properties to point to location of user.

    latitude string

    Latitude in Decimal degrees.

    longitude string

    Longitude in Decimal degrees.

    distributor object

    Return a JSON object with latitude and longitude properties to point to location of user.

    distributorID string required

    Possible values: <= 20 characters

    Distributor ID assigned to each consumer by 1SB.

    agentID string

    Possible values: <= 20 characters

    PoSP code or SP code or Brokder Qualified Person.

    salesChannel string

    Possible values: <= 20 characters

    This is used by insurance companies to identify sales channel.

    channelType string

    channel type as per distributer

    varFields object[]

    varField array hold any additional data related to Distributor

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
  • insuranceCompanyCode string required

    Possible values: <= 15 characters

    The code to identify for which insurance company this proposal belongs to.

    productGroupId string

    Line of business ID

    productCode string required

    Possible values: <= 15 characters

    Product code.

    applicationNo string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    policyNo string

    Possible values: <= 100 characters

    Policy reference number.

    quoteId string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    redirectUrl string required

    This is the Redirect call back url sent by UI , where we need to redirect after payment .

    UITrackingRefNo string

    UI tracking Reference Number .

    memberDetails object
    firstName string required

    Possible values: <= 50 characters

    First name of Proposer.

    lastName string required

    Possible values: <= 50 characters

    Last name of Proposer.

    mobileNumber string required

    Possible values: <= 10 characters

    Mobile number.

    email string required

    Possible values: <= 100 characters

    Email ID Proposer.

    varFields object[]

    varField array hold any additional data related to MemberDetails

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
  • paymentDetails object
    premiumPaymentFrequency string required

    Frequency of Premium

    amountToBePaid string required

    Amount which proposer need to pay.

    method string

    Type of Payment Method

    bankAccount object
    name string

    Account holder name in bank's record.

    accountNumber string

    Account number

    ifsc string

    IFSC Code

    accountType string

    Saving/ current

    varFields object[]

    varField array hold any additional data related to PaymentDetails

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
  • varFields object[]

    varField array hold any additional data

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
Responses

Successful Response


Schema
    applicationNo string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    policyNo string

    Possible values: <= 100 characters

    Policy reference number.

    quoteId string

    Possible values: <= 100 characters

    Reference number generated on submitting the proposal.

    redirectUrl string

    This is the Redirect call back url sent by UI , where we need to redirect after payment .

    UITrackingRefNo string

    UI tracking Reference Number .

    PaymentDetails object
    paymentUrl string

    Payment URL received from Payment gateway .

    varFields object[]

    varField array hold any additional data related to PaymentDetails

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
  • varFields object[]

    varField array hold any additional data

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
Loading...